Subject: bug#79353: 31.0.50; Eager macro expansion errors when building master

From: Gerd Möllmann <[email-masked]>
Date: Tue, 02 Sep 2025 19:58:26 +0200

JD Smith <[email-masked]> writes:

>> On Sep 2, 2025, at 10:23 AM, Gerd Möllmann <[email-masked]> wrote:
>> 
>> JD Smith <[email-masked]> writes:
>> 
>>> I guess I don't understand where this is coming from then.  What if you take out the condition-case and let it generate a backtrace?
>> 
>> I get the attached compilation log, with a backtrace
>> 
>> <compilation.log>
>
> Thanks. Looks like auth-source is the culprit to me. Maybe give it a
> require 'cl-extra (with a note like Stefan's) and try?

I'm sorry, but I'll have to pass. I think it's better if someone in the
know takes it from here.